Bug 1474909 - Golang 1.9
Golang 1.9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Čajka
ChangeAcceptedF27, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 11:35 EDT by Jan Kurik
Modified: 2017-11-14 03:57 EST (History)
1 user (show)

See Also:
Fixed In Version: golang-1.9-0.beta2.1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-14 03:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-07-25 11:35:02 EDT
This is a tracking bug for Change: Golang 1.9
For more details, see: https://fedoraproject.org//wiki/Changes/golang1.9

Rebase of Golang package to upcoming version 1.9 in Fedora 27, including rebuild of all dependent packages(pre-release version of Go will be used for mass rebuild).
Comment 1 Jan Kurik 2017-08-10 02:18:02 EDT
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan
Comment 2 Jan Kurik 2017-08-15 03:28:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Jan Kurik 2017-09-06 09:38:18 EDT
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 4 Jakub Čajka 2017-09-15 09:05:44 EDT
Sorry, for delay, I have been out sick. 
Now there is released version of golang available.

Note You need to log in before you can comment on or make changes to this bug.